Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 134a9158bdb06b4a9e30aa4386a1a0f0ce5b3320)
+++ ui/settingsdialog.ui	(revision ec54b4490b653b930f92f8cc056b2ac27f8fce72)
@@ -7,6 +7,6 @@
     <x>0</x>
     <y>0</y>
-    <width>448</width>
-    <height>174</height>
+    <width>415</width>
+    <height>176</height>
    </rect>
   </property>
@@ -231,88 +231,42 @@
           </item>
           <item>
-           <widget class="QGroupBox" name="groupPrintSetup">
+           <widget class="QGroupBox" name="groupOutputSettings">
             <property name="title">
-             <string>Print settings:</string>
+             <string>Output settings:</string>
             </property>
             <layout class="QVBoxLayout" name="verticalLayout">
              <item>
-              <layout class="QHBoxLayout">
-               <item>
-                <widget class="QLabel" name="labelLeftMargin">
-                 <property name="sizePolicy">
-                  <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-                   <horstretch>0</horstretch>
-                   <verstretch>0</verstretch>
-                  </sizepolicy>
-                 </property>
-                 <property name="text">
-                  <string>&amp;Left margin:</string>
-                 </property>
-                 <property name="buddy">
-                  <cstring>spinLeftMargin</cstring>
-                 </property>
-                </widget>
-               </item>
-               <item>
-                <widget class="QSpinBox" name="spinLeftMargin">
-                 <property name="cursor">
-                  <cursorShape>PointingHandCursor</cursorShape>
-                 </property>
-                 <property name="statusTip">
-                  <string>Left border margin for page</string>
-                 </property>
-                 <property name="maximum">
-                  <number>999</number>
-                 </property>
-                 <property name="singleStep">
-                  <number>10</number>
-                 </property>
-                 <property name="value">
-                  <number>100</number>
-                 </property>
-                </widget>
-               </item>
-              </layout>
+              <widget class="QPushButton" name="buttonFont">
+               <property name="cursor">
+                <cursorShape>PointingHandCursor</cursorShape>
+               </property>
+               <property name="statusTip">
+                <string>Font face for printing</string>
+               </property>
+               <property name="text">
+                <string>&amp;Font...</string>
+               </property>
+               <property name="icon">
+                <iconset resource="../resources/tspsg.qrc">
+                 <normaloff>:/images/icons/fonts.png</normaloff>:/images/icons/fonts.png</iconset>
+               </property>
+              </widget>
              </item>
              <item>
-              <layout class="QHBoxLayout" name="horizontalLayout">
-               <property name="spacing">
-                <number>0</number>
-               </property>
-               <item>
-                <widget class="QPushButton" name="buttonColor">
-                 <property name="cursor">
-                  <cursorShape>PointingHandCursor</cursorShape>
-                 </property>
-                 <property name="statusTip">
-                  <string>Font color for printing</string>
-                 </property>
-                 <property name="text">
-                  <string>&amp;Color...</string>
-                 </property>
-                 <property name="icon">
-                  <iconset resource="../resources/tspsg.qrc">
-                   <normaloff>:/images/icons/color_line.png</normaloff>:/images/icons/color_line.png</iconset>
-                 </property>
-                </widget>
-               </item>
-               <item>
-                <widget class="QPushButton" name="buttonFont">
-                 <property name="cursor">
-                  <cursorShape>PointingHandCursor</cursorShape>
-                 </property>
-                 <property name="statusTip">
-                  <string>Font face for printing</string>
-                 </property>
-                 <property name="text">
-                  <string>&amp;Font...</string>
-                 </property>
-                 <property name="icon">
-                  <iconset resource="../resources/tspsg.qrc">
-                   <normaloff>:/images/icons/fonts.png</normaloff>:/images/icons/fonts.png</iconset>
-                 </property>
-                </widget>
-               </item>
-              </layout>
+              <widget class="QPushButton" name="buttonColor">
+               <property name="cursor">
+                <cursorShape>PointingHandCursor</cursorShape>
+               </property>
+               <property name="statusTip">
+                <string>Font color for printing</string>
+               </property>
+               <property name="text">
+                <string>&amp;Color...</string>
+               </property>
+               <property name="icon">
+                <iconset resource="../resources/tspsg.qrc">
+                 <normaloff>:/images/icons/color_line.png</normaloff>:/images/icons/color_line.png</iconset>
+               </property>
+              </widget>
              </item>
             </layout>
@@ -400,4 +354,16 @@
         </sizepolicy>
        </property>
+       <property name="minimumSize">
+        <size>
+         <width>0</width>
+         <height>28</height>
+        </size>
+       </property>
+       <property name="maximumSize">
+        <size>
+         <width>16777215</width>
+         <height>28</height>
+        </size>
+       </property>
        <property name="statusTip">
         <string>Hover mouse pointer over dialog elements to get additional help</string>
@@ -460,4 +426,12 @@
  <resources>
   <include location="../resources/tspsg.qrc"/>
+  <include location="../resources/tspsg.qrc"/>
+  <include location="../resources/tspsg.qrc"/>
+  <include location="../resources/tspsg.qrc"/>
+  <include location="../resources/tspsg.qrc"/>
+  <include location="../resources/tspsg.qrc"/>
+  <include location="../resources/tspsg.qrc"/>
+  <include location="../resources/tspsg.qrc"/>
+  <include location="../resources/tspsg.qrc"/>
  </resources>
  <connections/>
